%define version	2.0.1
%define name	gnustep-make
%define release %mkrel 5

Name: 		%{name}
Version: 	%{version}
Release: 	%release
Source: 	ftp://ftp.gnustep.org/pub/gnustep/core/%{name}-%{version}.tar.bz2
License: 	GPL
Group:		Development/Other 
Summary: 	GNUstep Makefile package
URL:		http://www.gnustep.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:	texinfo latex2html
BuildRequires:	tetex-latex tetex-dvips tetex-texi2html
BuildConflicts:	%name

%description
This package contains the basic scripts, makefiles and directory layout
needed to run and compile any GNUstep software.

NOTE: Following FHS standards, this package will attempt to force all other
gnustep-based into /usr/bin, /usr/lib, /usr/share, etc.  Many documentation
files will refer to /usr/GNUstep as being the root directory, which is
incorrect.  Also, user files are stored in ~/.gnustep rather than ~/GNUstep.

%prep
%setup -q
 
%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --with-layout=fhs \
 --with-user-dir=.gnustep
%make
perl -pi -e 's|%_prefix/man|%_datadir/man||g' GNUstep.conf
perl -pi -e 's|%_prefix/info|%_datadir/GNUstep/info||g' GNUstep.conf
cd Documentation
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
cd Documentation
make install
cd tmp-installation/System/Library/Documentation
mv man %buildroot/%{_datadir}
mv info %buildroot/%{_datadir}/GNUstep/
mv {Developer,User} %buildroot/%{_datadir}/GNUstep/
 
# Create profile files
mkdir -p ${RPM_BUILD_ROOT}/%{_sysconfdir}/profile.d
cd %buildroot/%{_sysconfdir}/profile.d
ln -s %{_datadir}/GNUstep/Makefiles/GNUstep.sh
ln -s %{_datadir}/GNUstep/Makefiles/GNUstep.csh
chmod 755 %buildroot/%{_datadir}/GNUstep/Makefiles/GNUstep.sh
chmod 755 %buildroot/%{_datadir}/GNUstep/Makefiles/GNUstep.csh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, root)
%doc ANNOUNCE ChangeLog FAQ GNUstep-HOWTO NEWS README RELEASENOTES Version
%{_sysconfdir}/profile.d/*
%{_sysconfdir}/GNUstep
%{_bindir}/*
%{_datadir}/GNUstep
%{_mandir}/man1/*
%{_mandir}/man7/*



%changelog
* Tue Jun 26 2007 Austin Acton <austin@mandriva.org> 2.0.1-5mdv2008.0
+ Revision: 44736
- move conflicting (and probably never read) info files outside of global info

* Wed Jun 20 2007 Austin Acton <austin@mandriva.org> 2.0.1-4mdv2008.0
+ Revision: 41897
- add buildconflict with itself; may reduce some problems
- move everything to FHS layout
- move user dir to ~/.gnustep
- fix man and info locations
- link directly to profile.d files
- install docs by hand to avoid buildrequring itself
- un#, fix test
- # self
- fix my own doc mistake
- enforce RPM_OPT_FLAGS (making this arch-dependent, despite no binaries)
- build docs

* Mon May 28 2007 Austin Acton <austin@mandriva.org> 2.0.1-2mdv2008.0
+ Revision: 31928
- fix profile scripts (I suck)
- temporarily disable doc bulding (GNUstep sucks)

* Sun May 27 2007 Austin Acton <austin@mandriva.org> 2.0.1-1mdv2008.0
+ Revision: 31865
- new version
- fix profile script
- remove useless post

* Sun May 27 2007 Austin Acton <austin@mandriva.org> 2.0.0-1mdv2008.0
+ Revision: 31698
- fix buildrequires
- buildrequires texi2html
- new version
- redo much of spec file
- support csh
- install everything in default location for now, for simplicity
- noarch
- source settings on post
- Import gnustep-make



* Mon Jun 18 2006 Charles A Edwards <eslrahc@mandriva.org> 1.12.0-2mdv2007.0
- don't flag GNUstep.sh in file list as config file

* Mon Jun 18 2006 Charles A Edwards <eslrahc@mandriva.org> 1.12.0-1mdv2007.0
- 1.12.0
- mkrel
- add sources1 & 2 and p0 & p1
- guiet setup
- add doc build and update file list

* Fri Sep 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.10.0-1mdk
- 1.10.0

* Tue Jun 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.6.0-1mdk
- 1.6.0

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1-2mdk
- rebuild

* Fri Nov 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1-1mdk
- 1.5.1

* Fri Nov 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.0-1mdk
- 1.5.0
- bzip2 sources
- add some docs

* Thu Aug 8 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.4.0-1mdk
- first mandrakesoft.com release
- based on Adam Fedor <fedor@gnu.org> spec

* Thu Jul 19 2001 Adam Fedor <fedor@gnu.org>
- Remove csh script

* Thu Apr 12 2001 Adam Fedor <fedor@gnu.org>
- Changed default combo to gnu-gnu-gnu

* Mon Feb 19 2001  Nicola Pero  <nicola@brainstorm.co.uk>
- Updated for new special_prefix option
	
* Wed Jan 17 2001  Nicola Pero  <nicola@brainstorm.co.uk>
- Updated; heavily simplified and mostly rewritten

* Sat Sep 18 1999 Christopher Seawood <cls@seawood.org>
- Version 0.6.0
- Added nodupsh patch

* Sat Aug 07 1999 Christopher Seawood <cls@seawood.org>
- Updated to cvs dawn_6 branch

* Fri Jun 25 1999 Christopher Seawood <cls@seawood.org>
- Split into separate rpm from gnustep-core
- Build from cvs snapshot
- Added services patch
